using System.Threading.Tasks;

namespace Ewide.Core.Service
{
    public interface ISysEmpService
    {
        Task AddOrUpdate(EmpOutput2 sysEmpParam);
        Task DeleteEmpInfoByUserId(string empId);
        Task<EmpOutput> GetEmpInfo(string empId);
        Task<string> GetEmpOrgId(string empId);
        Task<bool> HasOrgEmp(string orgId);
        Task UpdateEmpOrgInfo(string orgId, string orgName);
    }
}